package cn.iocoder.yudao.module.product.vo.product;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel(value = "管理后台 - 商品 Excel 导出 Request VO", description = "参数和 ProductPageReqVO 是一致的")
@Data
public class ProductExportReqVO {

    @ApiModelProperty(value = "商品类型id")
    private Long typeId;

    @ApiModelProperty(value = "商品属性id")
    private String attrId;

    @ApiModelProperty(value = "中文标题")
    private String titleZh;

    @ApiModelProperty(value = "英文标题")
    private String titleEn;

    @ApiModelProperty(value = "商品材质,字段material_type")
    private String materialType;

    @ApiModelProperty(value = "出运要求,1表示下单该类货物需要提供特定证书")
    private Integer requirements;

    @ApiModelProperty(value = "包装（字典packaging_type）")
    private String packaging;

    @ApiModelProperty(value = "图片")
    private String imgs;

    @ApiModelProperty(value = "商品编码")
    private String productCode;

    @ApiModelProperty(value = "海关编码")
    private String customsCode;

    @ApiModelProperty(value = "默认货柜位置，字典container_location")
    private String containerLocation;

    @ApiModelProperty(value = "默认方数")
    private BigDecimal square;

    @ApiModelProperty(value = "空运重量上限")
    private BigDecimal airWeightLimit;

    @ApiModelProperty(value = "是否需要预约入仓，0-否，1-是")
    private Integer needBook;

    @ApiModelProperty(value = "每日入仓上限")
    private BigDecimal dayLimit;

    @ApiModelProperty(value = "审核状态，0-已审核，1-未审核")
    private Integer auditStatus;

    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @ApiModelProperty(value = "商品ID列表，多个以逗号分割")
    private String ids;

    private boolean filter = true;

}
